summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2012-11-06 18:49:04 +0000
committerSven Gothel <[email protected]>2012-11-06 21:16:30 +0100
commit4fd161240a1616382c1b1f744bf31d2a9489437e (patch)
treefad0c1f3851509c5d20b6392d51665c94849bb38
parent18e0bcf717732a353a9ff0a46889d65d8707d13a (diff)
Added JOAL packages
-rwxr-xr-xjoal-main.pom.sh66
-rw-r--r--joal.pom.in75
-rwxr-xr-xjoal.pom.sh37
-rw-r--r--make-projects.txt2
4 files changed, 180 insertions, 0 deletions
diff --git a/joal-main.pom.sh b/joal-main.pom.sh
new file mode 100755
index 0000000..5539a75
--- /dev/null
+++ b/joal-main.pom.sh
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS=`cat make-platforms.txt | awk -F: '{print $1}'` || exit 1
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by joal-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.joal</groupId>
+ <artifactId>joal-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOAL</name>
+ <description>Java™ Binding for the OpenAL® API</description>
+ <url>http://jogamp.org/joal/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on joal, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>joal</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>joal</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat joal.pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/joal.pom.in b/joal.pom.in
new file mode 100644
index 0000000..373b699
--- /dev/null
+++ b/joal.pom.in
@@ -0,0 +1,75 @@
+ <!-- joal.pom.in -->
+
+ <licenses>
+ <license>
+ <name>BSD-2 License</name>
+ <url>http://www.opensource.org/licenses/BSD-2-Clause</url>
+ </license>
+ <license>
+ <name>BSD-3 License</name>
+ <url>http://www.opensource.org/licenses/BSD-3-Clause</url>
+ </license>
+ <license>
+ <name>SGI Free Software License B</name>
+ <url>http://oss.sgi.com/projects/FreeB</url>
+ </license>
+ <license>
+ <name>Apache License Version 2.0</name>
+ <url>http://www.apache.org/licenses/LICENSE-2.0</url>
+ </license>
+ <license>
+ <name>Apache License Version 1.1</name>
+ <url>http://www.apache.org/licenses/LICENSE-1.1</url>
+ </license>
+ <license>
+ <name>Ubuntu Font Licence 1.0</name>
+ <url>http://font.ubuntu.com/ufl/ubuntu-font-licence-1.0.txt</url>
+ </license>
+ </licenses>
+
+ <scm>
+ <url>http://jogamp.org/git/?p=joal.git/</url>
+ <connection>scm:git:http://jogamp.org/git/joal.git/</connection>
+ <developerConnection>scm:git:http://jogamp.org/git/joal.git/</developerConnection>
+ </scm>
+
+ <developers>
+ <developer>
+ <id>sgothel</id>
+ <name>Sven Gothel</name>
+ <email>[email protected]</email>
+ <url>http://blog.jausoft.com</url>
+ </developer>
+ </developers>
+
+ <issueManagement>
+ <url>http://jogamp.org/bugzilla/</url>
+ <system>Bugzilla</system>
+ </issueManagement>
+
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-gpg-plugin</artifactId>
+ <version>1.4</version>
+ <executions>
+ <execution>
+ <id>sign-artifacts</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>sign</goal>
+ </goals>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-ssh-external</artifactId>
+ <version>2.2</version>
+ </extension>
+ </extensions>
+ </build>
+
diff --git a/joal.pom.sh b/joal.pom.sh
new file mode 100755
index 0000000..313eb33
--- /dev/null
+++ b/joal.pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by joal.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.joal</groupId>
+ <artifactId>joal</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOAL</name>
+ <description>Java™ Binding for the OpenAL® API</description>
+ <url>http://jogamp.org/joal/www/</url>
+
+EOF
+
+cat joal.pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/make-projects.txt b/make-projects.txt
index c39b376..eb0a579 100644
--- a/make-projects.txt
+++ b/make-projects.txt
@@ -1,5 +1,7 @@
gluegen-rt : natives : no-dummy-jar
gluegen-rt-main : no-natives : dummy-jar
+joal : natives : no-dummy-jar
+joal-main : no-natives : dummy-jar
jocl : natives : no-dummy-jar
jocl-main : no-natives : dummy-jar
jogl-all : natives : no-dummy-jar